Skip to main content
GET
/
v2
/
state
/
latest-pruned-offsets
/v2/state/latest-pruned-offsets
curl --request GET \
  --url https://api.example.com/v2/state/latest-pruned-offsets \
  --header 'Authorization: Bearer <token>'
{
  "participantPrunedUpToInclusive": 123,
  "allDivulgedContractsPrunedUpToInclusive": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Response

participantPrunedUpToInclusive
integer<int64>

It will always be a non-negative integer. If positive, the absolute offset up to which the ledger has been pruned, disregarding the state of all divulged contracts pruning. If zero, the ledger has not been pruned yet.

Optional

allDivulgedContractsPrunedUpToInclusive
integer<int64>

It will always be a non-negative integer. If positive, the absolute offset up to which all divulged events have been pruned on the ledger. It can be at or before the participant_pruned_up_to_inclusive offset. For more details about all divulged events pruning, see PruneRequest.prune_all_divulged_contracts in participant_pruning_service.proto. If zero, the divulged events have not been pruned yet.

Optional